► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 6 | Snip and Style Classes

6.1 | add-color<%>
6.2 | image-snip%
6.3 | mult-color<%>
6.4 | readable-snip<%>
6.5 | snip%
6.6 | snip-admin%
6.7 | snip-class%
6.8 | snip-class-list<%>
6.9 | string-snip%
6.10 | style<%>
6.11 | style-delta%
6.12 | style-list%
6.13 | tab-snip%

On this page:

make-object
insert
read

Inherited methods:
from snip%
adjust-cursor
blink-caret
can-do-edit-operation?
copy
do-edit-operation
draw
equal-hash-code-of
equal-secondary-hash-code-of
equal-to?
find-scroll-step
get-admin
get-count
get-extent
get-flags
get-num-scroll-steps
get-scroll-step-offset
get-snipclass
get-style
get-text
get-text!
is-owned?
match?
merge-with
next
on-char
on-event
other-equal-to?
own-caret
partial-offset
previous
release-from-owner
resize
set-admin
set-count
set-flags
set-snipclass
set-style
set-unmodified
size-cache-invalid
split
write

top ← prev up next →

> class

> string-snip% : class?

superclass: snip%

An instance of string-snip% is created automatically when text is inserted into a text editor. See also on-new-string-snip in text%.

> > constructor

> > ( make-object string-snip% [allocsize]) → ( is-a?/c string-snip% )

> allocsize : exact-nonnegative-integer? = 0
> ( make-object string-snip% s) → ( is-a?/c string-snip% )
> s : string?

Creates a string snip whose initial content is s, if supplied, empty otherwise. In the latter case, the optional allocsize argument is a hint about how much storage space for text should be initially allocated by the snip.

> > method

> > ( send a-string-snip insert s len [pos]) → void?

> s : string?
> len : exact-nonnegative-integer?
> pos : exact-nonnegative-integer? = 0

Inserts s (with length len) into the snip at relative position pos within the snip.

> > method

> > ( send a-string-snip read len f) → void?

> len : exact-nonnegative-integer?
> f : ( is-a?/c editor-stream-in% )

Reads the snip’s data from the given stream.

The len argument specifies the maximum length of the text to be read. (When a text snip is written to a file, the very first field is the length of the text contained in the snip.) This method is usually invoked by the text snip class’s read method.
top ← prev up next →